import { useDeep } from "@deep-foundation/deeplinks/imports/client";
import { useTheme } from '@chakra-ui/react';
export function useCanByContain(id) {
    const deep = useDeep();
    const { data } = deep.useQuery({
        id: id,
        up: {
            tree_id: deep.idLocal('@deep-foundation/core', 'containTree'),
            parent: {
                up: {
                    tree_id: deep.idLocal('@deep-foundation/core', 'joinTree'),
                    parent: {
                        down: {
                            tree_id: deep.idLocal('@deep-foundation/core', 'containTree'),
                            link_id: id
                        }
                    }
                }
            },
        },
    });
    return !!(data === null || data === void 0 ? void 0 : data.length);
}
export function useChakraColor(color) {
    var _a;
    const theme = useTheme();
    return (_a = theme.__cssMap[`colors.${color}`]) === null || _a === void 0 ? void 0 : _a.value;
}
export function getChakraVar(e, v) {
    return typeof (window) === 'object' ? (window.getComputedStyle(e).getPropertyValue(v.split(4, -1))) : ('transparent');
}
//# sourceMappingURL=hooks.js.map